import { defineMiddleware } from "astro/middleware"

// `context` and `next` are automatically typed
export default defineMiddleware(async ({ request }, next) => {
	const prefix = `[${new Date().toISOString()}] ${request.headers.get('user-agent')?.slice(0, 32).padEnd(32)} ${request.method.padEnd(7)}`
	console.log(`${prefix} ${request.url}`)

	// can crash if response crash
	const res = await next()
	console.log(`${prefix} ${res.status} ${request.url}`)
	return res
})
